@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Aboreto&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Nixie+One&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Anton&display=swap");

*,
html,
body {
  margin: 0;
  padding: 0;
  font-family: "Montserrat", sans-serif;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

/* for css-card.html */

.card {
  width: 400px;
  height: 600px;
  background-color: #f5f5f5;

  border-radius: 20px;
  display: inline-block;
  overflow: hidden;

  box-shadow: 4px 2px 20px rgba(0, 0, 0, 0.5);

  position: relative;
}

.card img {
  display: block;
  max-width: 100%;
  max-height: 100%;
  border-radius: inherit;
  object-fit: contain;
  z-index: 1;
  position: absolute;
  transition: all 0.5s ease-in-out;
}

.card:hover img {
  transform: scale(1.25);
  transform-origin: 50% 50%;
}

.card h1 {
  color: #fff;
  font-family: "Aboreto", cursive;
  z-index: 3;
  position: absolute;

  top: 5%;
  left: 5%;

  font-size: 3em;
  text-shadow: rgb(50, 50, 50) 1px 0 10px;
  opacity: 0;
  transition-property: all;
  transition-duration: 0.8s;
  transition-timing-function: ease-in-out;
  transition-delay: 0.2s;
  transform-origin: 10px 10px;
  transform: scale(0.8);

  text-transform: uppercase;
}

.card:hover h1 {
  opacity: 1;
  transform: scale(1);
}

.card-body {
  z-index: 3;
  position: absolute;

  bottom: 0;
  padding: 1em;

  background-color: rgba(0, 0, 0, 0.7);
  color: #f5f5f5;

  transform: translate3d(0, 220px, 0);
  transition-property: all;
  transition-duration: 1s;
  /* transition-timing-function: cubic-bezier(0.075, 0.82, 0.165, 1); */
  transition-timing-function: ease-in-out;
  opacity: 1;

  border-radius: 0;
}

.card-body p {
  font-size: 0.8em;
  opacity: 0;
  transition: all 0.5s ease-in-out;
}

.card-body span {
    font-size: 1.2em;
    font-weight: 500;
    transition: all 0.5s ease-in-out;
    opacity: 1;
    margin: 0;
}

.card-body button {
  width: 150px;
  padding: 10px 20px;
  margin: 10px;
  margin-left: 0;
  border: none;
  outline: none;
  border-radius: 10px;
  background-color: #38c7b4;
  cursor: pointer;
  text-transform: uppercase;
  transition: all 0.5s ease-in-out;
}

.card:hover .card-body {
  opacity: 1;
  transform: translate3d(0, 0, 0);
  border-radius: 20px 20px 0 0;
}

.card:hover span{
    height: 0;
    opacity: 0;    
}

.card:hover p {
    opacity: 1;
}

.card-body button:hover {
  width: 50%;
}

/* for nike-card.html */

.nike-container {
  background-color: #1f1f1f;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.nike-card {
  width: 15%;
  height: 45%;
  background-color: #444;

  padding: 2em;
  border-radius: 20px;
  position: relative;
  z-index: 0;
  box-shadow: 4px 2px 10px rgba(0, 0, 0, 0.677);
  overflow: hidden;

  cursor: pointer;
  transform-style: preserve-3d;
}

.nike-card h1 {
  position: absolute;
  z-index: 1;
  font-size: 10em;
  font-family: "Anton", sans-serif;
  color: black;
  -webkit-text-fill-color: transparent; /* Will override color (regardless of order) */
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: rgba(146, 146, 146, 0.5);
  letter-spacing: 15px;

  top: 15%;
  left: 15%;
}

.circle-1 {
  position: absolute;
  width: 200px;
  height: 200px;

  background-color: rgba(226, 90, 0, 0.9);
  z-index: 3;
  top: -120px;
  right: -50px;

  clip-path: circle(50%);

  transition: all 0.6s 0.2s ease-in-out;
}

.nike-card img {
  position: relative;
  width: 300px;
  z-index: 10;
  filter: drop-shadow(5px 5px 5px #222);
  transition: all 0.8s ease-in-out;
  transform: translateZ(10px);
}

.nike-card:hover .circle-1 {
  right: 2%;
  transform: scale(2);
  clip-path: circle(50%);
}

.nike-card:hover img {
  /* transform-origin: 50px; */
  filter: drop-shadow(5px 5px 5px rgba(34, 34, 34, 0.551));
  transform: translate3d(0px, -70px, 50px);  
}

.card-details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.card-details .name h4 {
  color: #e1e1e1cb;
  font-size: 2em;
  text-shadow: 4px 2px 10px #1f1f1f95;
  transition: all 0.6s 0.5s ease-in-out;
}

.card-details button {
    width: 50%;
    padding: 0.5em;
    outline: none;
    border: none;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(226, 90, 0, 1);
    color: #f5f5f5;
    font-weight: 400;
    font-size: 1em;
    border-radius: 20px;
    margin: 1em 0;

    transform: translate(0, 100px);
    transition: all 1s ease-in-out;
}

.nike-card:hover button {
    transform: translate(0, -50px);
}

button:hover{
    width: 70%;
}

.info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #f5f5f5;
    opacity: 0;
    transition: all 0.6s 0.5s ease-in-out;
}

.nike-card:hover h4, .nike-card:hover .info {
    transform: translate(0, -50px);
    opacity: 1;
}

.info p {
    color: rgba(226, 90, 0, 1);
}

.info span {
    color: rgba(190, 190, 190, 0.632);
    font-weight: 400;
    font-size: 1.1em;
}
